org.wildfly.swarm.config.management.security_realm

## Class SecretServerIdentity<T extends SecretServerIdentity<T>>

- java.lang.Object
- - org.wildfly.swarm.config.management.security_realm.SecretServerIdentity<T>

-     public class SecretServerIdentity<T extends SecretServerIdentity<T>>
      extends Object

  Configuration of the secret/password-based identity of a server or host controller.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecretServerIdentity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Map` | `credentialReference()` The reference to credential for the secret / password stored in CredentialStore under defined alias or clear text password.
    `T` | `credentialReference(Map value)` The reference to credential for the secret / password stored in CredentialStore under defined alias or clear text password.
    `T` | `credentialReference(String key, Object value)` The reference to credential for the secret / password stored in CredentialStore under defined alias or clear text password.
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `String` | `value()` The secret / password - Base64 Encoded.
    `T` | `value(String value)` The secret / password - Base64 Encoded.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SecretServerIdentity

          public SecretServerIdentity()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### credentialReference

          public Map credentialReference()

      The reference to credential for the secret / password stored in CredentialStore under defined alias or clear text password.

    - #### credentialReference

          public T credentialReference(Map value)

      The reference to credential for the secret / password stored in CredentialStore under defined alias or clear text password.

    - #### credentialReference

          public T credentialReference(String key,
                                       Object value)

      The reference to credential for the secret / password stored in CredentialStore under defined alias or clear text password.

    - #### value

          public String value()

      The secret / password - Base64 Encoded.

    - #### value

          public T value(String value)

      The secret / password - Base64 Encoded.

Copyright © 2017 JBoss by Red Hat. All rights reserved.